<template>
            <div class="media">

                <a class="pr-3" href="#">
                    <avatar
                    :username="comment.author"
                    :size="45"></avatar>
                </a>

                <div class="media-body">

                    <div class="cl-header">
                        <span class="author">{{comment.author}}</span>
                        <span class="time">{{comment.date}}</span>

                    </div>

                    <p>{{comment.text}}</p>

                    <reply-form
                            :parent-id="comment.id">
                    </reply-form>

                    <comment
                            v-if="hasChildren"
                            v-for="(id, child) in children"
                            :key="id"
                            :comment="child">
                    </comment>
                </div>

            </div>
</template>

<script>
import ReplyForm from "./ReplyForm";
import Avatar from "vue-avatar";

export default {
  components: {
    ReplyForm,
    Avatar
  },
  name: "comment",
  props: ["comment"],
  computed: {
    children() {
      return this.$store.getters.getChildren(this.comment.id);
    },
    hasChildren() {
      return this.children.length !== 0;
    }
  }
};
</script>
